Integration Runtimes - Get
統合ランタイムを取得する
統合ランタイムを取得する
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/integrationRuntimes/{integrationRuntimeName}?api-version=2021-06-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
integration
|
path | True |
string |
統合ランタイム名 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前では大文字と小文字が区別されません。 |
|
subscription
|
path | True |
string minLength: 1 |
ターゲット サブスクリプションの ID。 |
|
workspace
|
path | True |
string |
ワークスペースの名前。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
要求ヘッダー
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| If-None-Match |
string |
統合ランタイム エンティティの ETag。 get にのみ指定する必要があります。 ETag が既存のエンティティ タグと一致する場合、または * が指定された場合、コンテンツは返されません。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました。 |
|
| Other Status Codes |
変更されていません。 |
|
| Other Status Codes |
GET 統合ランタイム操作から受信したエラー応答。 |
例
Get integration runtime
要求のサンプル
GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.Synapse/workspaces/exampleWorkspace/integrationRuntimes/exampleIntegrationRuntime?api-version=2021-06-01
応答のサンプル
Date: Mon, 22 Apr 2019 18:33:47 GMT
X-Content-Type-Options: nosniff
x-ms-ratelimit-remaining-subscription-reads: 11997
x-ms-request-id: ad824326-e577-4a47-a092-2e621c4d59d9
x-ms-correlation-request-id: ad824326-e577-4a47-a092-2e621c4d59d9
{
"id": "/subscriptions/12345678-1234-1234-1234-12345678abc/resourceGroups/exampleResourceGroup/providers/Microsoft.Synapse/workspaces/exampleWorkspaceName/integrationruntimes/exampleIntegrationRuntime",
"name": "exampleIntegrationRuntime",
"type": "Microsoft.Synapse/workspaces/integrationruntimes",
"properties": {
"type": "SelfHosted",
"description": "A selfhosted integration runtime"
},
"etag": "15003c4f-0000-0200-0000-5cbe090b0000"
}
{
"error": {
"code": "Error code",
"message": "Error message"
}
}
定義
DataFlowComputeType
データ フロー ジョブを実行するクラスターのコンピューティングの種類。
| 値 | 説明 |
|---|---|
| General | |
| MemoryOptimized | |
| ComputeOptimized |
EntityReference
エンティティ参照。
| 名前 | 型 | 説明 |
|---|---|---|
| referenceName |
string |
この参照先エンティティの名前。 |
| type |
この参照先エンティティの型。 |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
IntegrationRuntimeComputeProperties
マネージド統合ランタイムのコンピューティング リソースのプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| dataFlowProperties |
マネージド統合ランタイムのデータ フロー プロパティ。 |
|
| location |
string |
マネージド統合ランタイムの場所。 サポートされているリージョンは、https://docs.microsoft.com/en-us/azure/data-factory/data-factory-data-movement-activities にあります |
| maxParallelExecutionsPerNode |
integer (int32) minimum: 1 |
マネージド統合ランタイムのノードあたりの並列実行の最大数。 |
| nodeSize |
string |
マネージド統合ランタイムのノード サイズ要件。 |
| numberOfNodes |
integer (int32) minimum: 1 |
マネージド統合ランタイムに必要なノード数。 |
| vNetProperties |
マネージド統合ランタイムの VNet プロパティ。 |
IntegrationRuntimeCustomerVirtualNetwork
Azure-SSIS 統合ランタイムが参加する仮想ネットワークの定義とプロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| subnetId |
string |
Azure-SSIS 統合ランタイムが参加するサブネットの ID。 |
IntegrationRuntimeCustomSetupScriptProperties
マネージド専用統合ランタイムのカスタム セットアップ スクリプト プロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| blobContainerUri |
string |
カスタム セットアップ スクリプトを含む Azure BLOB コンテナーの URI。 |
| sasToken |
Azure BLOB コンテナーの SAS トークン。 |
IntegrationRuntimeDataFlowProperties
マネージド統合ランタイムのデータ フロー プロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| computeType |
データ フロー ジョブを実行するクラスターのコンピューティングの種類。 |
|
| coreCount |
integer (int32) |
データ フロー ジョブを実行するクラスターのコア数。 サポートされる値は、8、16、32、48、80、144、272 です。 |
| timeToLive |
integer (int32) minimum: 0 |
データ フロー ジョブを実行するクラスターの Time to Live (分単位) 設定。 |
IntegrationRuntimeDataProxyProperties
マネージド専用統合ランタイムのデータ プロキシ プロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| connectVia |
セルフホステッド統合ランタイムリファレンス。 |
|
| path |
string |
BLOB ストレージにステージング データを格納するパス。 |
| stagingLinkedService |
ステージングのリンクされたサービス参照。 |
IntegrationRuntimeEdition
SSIS 統合ランタイムのエディション
| 値 | 説明 |
|---|---|
| Standard | |
| Enterprise |
IntegrationRuntimeEntityReferenceType
この参照先エンティティの型。
| 値 | 説明 |
|---|---|
| IntegrationRuntimeReference | |
| LinkedServiceReference |
IntegrationRuntimeLicenseType
ライセンスを持ち込むシナリオのライセンスの種類。
| 値 | 説明 |
|---|---|
| BasePrice | |
| LicenseIncluded |
IntegrationRuntimeResource
統合ランタイム リソースの種類。
| 名前 | 型 | 説明 |
|---|---|---|
| etag |
string |
リソース Etag。 |
| id |
string |
リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
リソースの名前 |
| properties | IntegrationRuntime: |
統合ランタイムのプロパティ。 |
| type |
string |
リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
IntegrationRuntimeSsisCatalogInfo
マネージド専用統合ランタイムのカタログ情報。
| 名前 | 型 | 説明 |
|---|---|---|
| catalogAdminPassword |
カタログ データベースの管理者ユーザー アカウントのパスワード。 |
|
| catalogAdminUserName |
string minLength: 1maxLength: 128 |
カタログ データベースの管理者ユーザー名。 |
| catalogPricingTier |
カタログ データベースの価格レベル。 有効な値は、https://azure.microsoft.com/en-us/pricing/details/sql-database/ |
|
| catalogServerEndpoint |
string |
カタログ データベース サーバーの URL。 |
IntegrationRuntimeSsisCatalogPricingTier
カタログ データベースの価格レベル。 有効な値は、https://azure.microsoft.com/en-us/pricing/details/sql-database/
| 値 | 説明 |
|---|---|
| Basic | |
| Standard | |
| Premium | |
| PremiumRS |
IntegrationRuntimeSsisProperties
マネージド統合ランタイムの SSIS プロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| catalogInfo |
マネージド専用統合ランタイムのカタログ情報。 |
|
| customSetupScriptProperties |
マネージド専用統合ランタイムのカスタム セットアップ スクリプト プロパティ。 |
|
| dataProxyProperties |
マネージド専用統合ランタイムのデータ プロキシ プロパティ。 |
|
| edition |
SSIS 統合ランタイムのエディション |
|
| expressCustomSetupProperties |
Custom |
SSIS 統合ランタイムのスクリプト プロパティを使用しないカスタム セットアップ。 |
| licenseType |
ライセンスを持ち込むシナリオのライセンスの種類。 |
IntegrationRuntimeState
統合ランタイムの状態。
| 値 | 説明 |
|---|---|
| Initial | |
| Stopped | |
| Started | |
| Starting | |
| Stopping | |
| NeedRegistration | |
| Online | |
| Limited | |
| Offline | |
| AccessDenied |
IntegrationRuntimeType
統合ランタイムの種類。
| 値 | 説明 |
|---|---|
| Managed | |
| SelfHosted |
IntegrationRuntimeVNetProperties
マネージド統合ランタイムの VNet プロパティ。
| 名前 | 型 | 説明 |
|---|---|---|
| publicIPs |
string[] |
この統合ランタイムが使用するパブリック IP アドレスのリソース ID。 |
| subnet |
string |
この統合ランタイムが参加するサブネットの名前。 |
| subnetId |
string |
この Azure-SSIS 統合ランタイムが参加するサブネットの ID。 |
| vNetId |
string |
この統合ランタイムが参加する VNet の ID。 |
LinkedIntegrationRuntimeKeyAuthorization
キー承認タイプ統合ランタイム。
| 名前 | 型 | 説明 |
|---|---|---|
| authorizationType |
string:
Key |
統合ランタイム共有の承認の種類。 |
| key |
承認に使用されるキー。 |
LinkedIntegrationRuntimeRbacAuthorization
ロール ベースのアクセス制御 (RBAC) 承認の種類の統合ランタイム。
| 名前 | 型 | 説明 |
|---|---|---|
| authorizationType |
string:
RBAC |
統合ランタイム共有の承認の種類。 |
| resourceId |
string |
共有する統合ランタイムのリソース識別子。 |
ManagedIntegrationRuntime
マネージド統合ランタイム (マネージド エラスティックおよびマネージド専用統合ランタイムを含む)。
| 名前 | 型 | 説明 |
|---|---|---|
| description |
string |
統合ランタイムの説明。 |
| managedVirtualNetwork.id |
string |
マネージド仮想ネットワークの ID。 |
| managedVirtualNetwork.referenceName |
string |
マネージド仮想ネットワークの参照名 |
| managedVirtualNetwork.type |
string |
マネージド仮想ネットワークの種類。 |
| provisioningState |
統合ランタイムの状態。マネージド専用統合ランタイムに対してのみ有効です。 |
|
| type |
string:
Managed |
統合ランタイムの種類。 |
| typeProperties.computeProperties |
マネージド統合ランタイムのコンピューティング リソース。 |
|
| typeProperties.customerVirtualNetwork |
Azure-SSIS 統合ランタイムが参加する仮想ネットワークの名前 |
|
| typeProperties.ssisProperties |
マネージド統合ランタイムの SSIS プロパティ。 |
SecureString
Azure Synapse のセキュリティで保護された文字列定義。 文字列値は、Get または List API 呼び出し中にアスタリスク '*' でマスクされます。
| 名前 | 型 | 説明 |
|---|---|---|
| type | string: |
シークレットの種類。 |
| value |
string |
セキュリティで保護された文字列の値。 |
SelfHostedIntegrationRuntime
セルフホステッド統合ランタイム。
| 名前 | 型 | 説明 |
|---|---|---|
| description |
string |
統合ランタイムの説明。 |
| type |
string:
Self |
統合ランタイムの種類。 |
| typeProperties.linkedInfo | LinkedIntegrationRuntimeType: |
データ ファクトリからのリンクされた統合ランタイムの種類 |